---
lang: en
title: 'API docs: authentication-jwt.securityspecenhancer.modifyspec'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.securityspecenhancer.modifyspec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [SecuritySpecEnhancer](./authentication-jwt.securityspecenhancer.md) &gt; [modifySpec](./authentication-jwt.securityspecenhancer.modifyspec.md)

## SecuritySpecEnhancer.modifySpec() method

<b>Signature:</b>

```typescript
modifySpec(spec: OpenApiSpec): OpenApiSpec;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  spec | [OpenApiSpec](./openapi-v3.openapispec.md) |  |

<b>Returns:</b>

[OpenApiSpec](./openapi-v3.openapispec.md)


